/*
    Stream Capture
    Copyright (C) 2011 Ingemar Ceicer
    http://ceicer.org/ingemar/
    programmering1 (at) ceicer (dot) org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

/*
  Skall vara definierade:
  VERSION_PATH
  APPLICATION_NAME
  VERSION
  APPLICATION_HOMEPAGE
  APPLICATION_HOMEPAGE _ENG
*/

#ifndef CHECKFORUPDATESH
#define CHECKFORUPDATESH
#include <QUrl>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QMessageBox>
#include <QString>
#include <QWidget>
#include <string>

using namespace std;


class CheckForUpdates : public QWidget
{

Q_OBJECT

private:

    QString applicationHomepage;

private slots:

    void checkForUpdates(QNetworkReply*);





public:
void check(std::string);
~CheckForUpdates();



};

#endif // CHECKFORUPDATESH
