/*
    Stream Capture
    Copyright (C) 2011 Ingemar Ceicer
    http://ceicer.org/ingemar/
    programmering1 (at) ceicer (dot) org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/


#include <QtGui/QApplication>
#include <QTranslator>
#include <QLocale>
#include "config.h"
#include <string>
#include "streamcapture.h"

// Windows
// const QString INSTALL_DIR = QDir::toNativeSeparators(QDir::currentPath()+"/");
// Slackware
   const QString INSTALL_DIR = "/usr/local/streamcapture/";

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QTranslator translator;
        QString conf_file_name = QDir::toNativeSeparators("/"APPLICATION_NAME".conf");
        Config *k = new Config(conf_file_name);
        std::string s = k->getConf("language");
        delete k;
        QString sprak = QString::fromStdString(s);

        if (s == "sv_SE")
        {





               translator.load(INSTALL_DIR+"streamcapture_"+sprak);
               a.installTranslator(&translator);

         }


        if (s  == "en_US")
        {


        }


        if (s  == "")
        {

            QString locale = QLocale::system().name();
            translator.load(INSTALL_DIR+"streamcapture_"+locale);
            a.installTranslator(&translator);

        }








    streamCapture w;
    w.show();

    return a.exec();
}
